CVE-2014-2914

NameCVE-2014-2914
Descriptionremote code execution
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
Debian Bugs746259

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
fish (PTS)stretch2.4.0-1fixed
buster, sid3.0.0-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
fishsource(unstable)2.1.1-1746259
fishsourcesqueeze(not affected)
fishsourcewheezy(not affected)

Notes

[wheezy] - fish <not-affected> (Web interface not yet present)
[squeeze] - fish <not-affected> (Web interface not yet present)
https://github.com/fish-shell/fish-shell/issues/1438

Search for package or bug name: Reporting problems